Bug 197891 - graphics/ampasCTL fails to build when USE_GCC=yes implies GCC 4.9
Summary: graphics/ampasCTL fails to build when USE_GCC=yes implies GCC 4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks: 196712
  Show dependency treegraph
 
Reported: 2015-02-22 01:17 UTC by Gerald Pfeifer
Modified: 2015-03-29 11:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (nemysis)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2015-02-22 01:17:21 UTC
This is related to PR 196712 and blocks updating the default version of
GCC from 4.8 to 4.9.

I believe what is happening here is that OpenEXR uses GCC on older 
versions of FreeBSD and when linking with the OpenEXR libraries we
then fail to pull in the proper NEWER GCC run-time libraries.

This can be fixed by building (or at least linking) with the same
compiler that OpenEXR is built with.  See OpenEXR/Makefile for how
this is done there. 

http://package18.nyi.freebsd.org/data/93i386-default-PR196712/2015-01-18_16h49m19s/logs/errors/ampasCTL-1.5_4.log

/usr/bin/c++   -O2 -pipe -fno-strict-aliasing -pthread -O2 -pipe -fno-strict-aliasing   -pthread CMakeFiles/ctlrender.dir/main.cc.o CMakeFiles/ctlrender.dir/transform.cc.o CMakeFiles/ctlrender.dir/usage.cc.o CMakeFiles/ctlrender.dir/aces_file.cc.o CMakeFiles/ctlrender.dir/dpx_file.cc.o CMakeFiles/ctlrender.dir/exr_file.cc.o CMakeFiles/ctlrender.dir/tiff_file.cc.o CMakeFiles/ctlrender.dir/format.cc.o CMakeFiles/ctlrender.dir/compression.cc.o  -o ctlrender  -L/usr/local/lib  ../lib/IlmCtlSimd/libIlmCtlSimd.so.1.5.0 ../lib/IlmCtlMath/libIlmCtlMath.so.1.5.0 ../lib/IlmCtl/libIlmCtl.so.1.5.0 ../lib/dpx/libctldpx.a /usr/local/lib/libImath.so /usr/local/lib/libHalf.so /usr/local/lib/libIex.so /usr/local/lib/libIexMath.so /usr/local/lib/libIlmThread.so /usr/local/lib/libImath.so /usr/local/lib/libHalf.so /usr/local/lib/libIex.so /usr/local/lib/libIexMath.so /usr/local/lib/libIlmThread.so /usr/local/lib/libtiff.so /usr/local/lib/libIlmImf.so /usr/local/lib/libImath.so /usr/local/lib/libHalf.so /usr/local/lib/libIex.so /usr/local/lib/libIexMath.so /usr/local/lib/libIlmThread.so /usr/local/lib/libImath.so /usr/local/lib/libHalf.so /usr/local/lib/libIex.so /usr/local/lib/libIexMath.so /usr/local/lib/libIlmThread.so -lAcesContainer -lIex -lIlmThread -lHalf /usr/local/lib/libtiff.so /usr/local/lib/libIlmImf.so -lAcesContainer -Wl,-rpath,/usr/local/lib:/wrkdirs/usr/ports/graphics/ampasCTL/work/ampas-CTL-57b48a2/lib/IlmCtlSimd:/wrkdirs/usr/ports/graphics/ampasCTL/work/ampas-CTL-57b48a2/lib/IlmCtlMath:/wrkdirs/usr/ports/graphics/ampasCTL/work/ampas-CTL-57b48a2/lib/IlmCtl: 
/usr/local/lib/libIlmImf.so: undefined reference to `std::__throw_out_of_range_fmt(char const*, ...)@GLIBCXX_3.4.20'
*** [ctlrender/ctlrender] Error code 1
Comment 1 Bugzilla Automation freebsd_committer 2015-02-22 01:17:21 UTC
Auto-assigned to maintainer nemysis@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-02-22 09:07:27 UTC
A commit references this bug:

Author: nemysis
Date: Sun Feb 22 09:06:56 UTC 2015
New revision: 379583
URL: https://svnweb.freebsd.org/changeset/ports/379583

Log:
  - This port are no longer used or cared for.

  PR:		197891
  Submitted by:	gerald

Changes:
  head/graphics/ampasCTL/Makefile
Comment 3 Bartek Rutkowski freebsd_committer 2015-03-29 11:24:33 UTC
The fix has been already committed, so I am closing this PR.